fop 1.1

## org.apache.fop.fo.properties
Class FontShorthandProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.FontShorthandProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  FontShorthandProperty

    public static class FontShorthandProperty.Maker

extends PropertyMaker

Inner class for creating instances of FontShorthandProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`FontShorthandProperty.Maker(int propId)`

Method Summary
`Property` `make(PropertyList propertyList, java.lang.String value, FObj fo)` Create a Property object from an attribute specification.

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertProperty, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontShorthandProperty.Maker

    public FontShorthandProperty.Maker(int propId)

Parameters:
  `propId` - ID of the property for which Maker should be created

Method Detail

### make

    public Property make(PropertyList propertyList,
                         java.lang.String value,
                         FObj fo)
                  throws PropertyException

  Create a Property object from an attribute specification.

  Overrides:
    `make` in class `PropertyMaker`
  Parameters:
    `propertyList` - The PropertyList object being built for this FO.
    `value` - The attribute value.
    `fo` - The parent FO for the FO whose property is being made.
  Returns:
    The initialized Property object.
  Throws:
    `PropertyException` - for invalid or inconsistent FO input

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.